#ifndef EDITOR_H
#define EDITOR_H

#define VIEWPORT_WIDTH (LCD_WIDTH/8)
#define VIEWPORT_HEIGHT ((LCD_HEIGHT-12)/8)   //11
#define SCROLL_INCR_X 6
#define SCROLL_INCR_Y 4

#define FIELD_WIDTH (current_map->width)
#define FIELD_HEIGHT (current_map->height)

#include "cprotofix.h"
#define OPTIMIZE_ROM_CALLS
#define USE_TI89
#define USE_TI92P
#define USE_V200
#include <tigcclib.h>

#include "skye.h"
#include "widget.h"

extern editor_map *current_map;
extern editor_map *maps;
extern int num_maps;
extern int current_map_num;
extern int select_x, select_y;
extern int cursor_x, cursor_y;
extern int scroll_x, scroll_y;
extern int edit_brush;
extern const char tile_sprites[NUM_TILE_TYPES][24];
extern const char black_square[24];

typedef void (*keyboard_handler)(int key);
extern keyboard_handler input_state;

#ifndef CPROTO
#include "proto.h"
#endif

#endif //EDITOR_H
